<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width="device-width, initial-scale="1" />
        <link
                href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
                rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
                crossorigin="anonymous"
        />
        <link
                rel="stylesheet"
                href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
                integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p"
                crossorigin="anonymous"
        />

        <title>{% block title %}Home{% endblock %}</title>
    </head>
    <body>
        <nav class="navbar navbar-dark navbar-expand-md bg-dark justify-content-center">
            <div class="container">
                <a href="/" class="navbar-brand d-flex w-50 me-auto">Ad-alerts</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#collapsingNavbar3">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse w-100" id="collapsingNavbar3">
                    {% if user.is_authenticated %}
                    <ul class="navbar-nav w-100 justify-content-center">
                        <li class="nav-item active">
                            <a class="nav-link" href="/">My Listings</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/edit-profile">Edit profile</a>
                        </li>
                    </ul>
                    <ul class="nav navbar-nav ms-auto w-100 justify-content-end">
                        <li class="nav-item">
                            <a class="nav-link" href="/logout">Logout</a>
                        </li>
                    </ul>
                    {% else %}
                    <ul class="navbar-nav w-100 justify-content-center">
                        <li class="nav-item active">
                            <a class="nav-link" href="/login">Login</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/sign-up">Sign Up</a>
                        </li>
                    </ul>
                    <ul class="nav navbar-nav ms-auto w-100 justify-content-end">
                    </ul>
                    {% endif %}
                </div>
            </div>
        </nav>

        {% with messages = get_flashed_messages(with_categories=true) %}
        {% if messages %}
            {% for category, message in messages %}
            {% if category == "error" %}
            <div class="alert alert-danger alert-dismissable fade show" role="alert">
                {{ message}}
              <button type="button" class="btn-close" data-dismiss="alert" aria-label="Close"></button>
            </div>
            {% else %}
            <div class="alert alert-success alert-dismissable" role="alert">

              <button type="button" class="btn-close" data-dismiss="alert" aria-label="Close"></button>
                {{ message}}
            </div>
            {% endif %}
            {% endfor %}
        {% endif %}
        {% endwith %}

        <div class="container">
            {% block content %}
            {% endblock %}
        </div>
        <script
                src="https://code.jquery.com/jquery-3.6.0.min.js"
                integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
                crossorigin="anonymous">
        </script>
        <script
                src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/2.11.0/umd/popper.min.js"
                integrity="sha512-PZrlUFhlOigX38TOCMdaYkhiqa/fET/Lztzjn+kdGxefUZanNUfmHv+9M/wSiOHzlcLX/vcCnmvOZSHi5Dqrsw=="
                crossorigin="anonymous"
                referrerpolicy="no-referrer">
        </script>
        <script
                src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
                integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
                crossorigin="anonymous">
        </script>
        <script
                type="text/javascript"
                src="{{ url_for('static', filename='index.js')}}">
        </script>

    </body>
</html>
